Foreman - Bug #25207

Invalid single-table inheritance type: Host::Discovered is not a subclass of Host::Managed
10/15/2018 02:24 PM - Dima Nilsen

Status: Closed

Priority: High

Assignee: Lukas Zapletal

Category: Users, Roles and Permissions

Target version:

Difficulty: medium Fixed in Releases: 1.20.0
Triaged: Yes Found in Releases:
Bugzilla link: 1638403 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/6192,
https://github.com/theforeman/foreman/p
ull/6238
Description

we observe similar behavior as described here: https://projects.theforeman.org/issues/25140

however that happening not after migration or something, but every time when:

e there are discovered unprovisioned hosts present in the list
e The user with non-admin permissions try to create a "new host" (so discovery hosts are not even touched! )

the error message is

Invalid single-table inheritance type: Host::Discovered is not a subclass of Host::Managed
if the list of "discovered" hosts is empty. this problem does not hit. (so the user creating a host just fine.)

We are on 1.18.2. Organizations are disabled.

full stack trace:

ActiveRecord: :SubclassNotFound

Invalid single-table inheritance type: Host::Discovered is not a subclass of Host::Managed
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/1lib/active_record/inheritanc
e.rb:203:in " find_sti_class'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/1lib/active_record/inheritanc
e.rb:177:in “discriminate_class_for_record'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/1ib/active_record/persistenc
e.rb:67:in "“instantiate’
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/1lib/active_record/querying.r
b:50:in "block (2 levels) in find_by_sgl'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/1lib/active_record/result.rb:
55:in "block in each'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/1ib/active_record/result.rb:
55:in “each’
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/1ib/active_record/result.rb:
55:in “each’
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/1lib/active_record/querying.r
b:50:in ‘map'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/1lib/active_record/querying.r
b:50:in “block in find_by_sgl'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.6/1lib/active_support/notifica
tions/instrumenter.rb:21:in "instrument'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/1lib/active_record/querying.r
b:49:in " find_by_sqgl'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/1lib/active_record/relation.r
b:678:in “exec_queries'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/1ib/active_record/relation.r
b:546:in "~ load'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/1lib/active_record/relation.r
b:255:in "records'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/1lib/active_record/relation/d
elegation.rb:39:in “each'

/usr/share/foreman/app/services/authorizer_cache.rb:12:in “include?'
/usr/share/foreman/app/services/authorizer_cache.rb:12:in ‘collection_cache_lookup'
/usr/share/foreman/app/services/authorizer.rb:20:in “can?'
/usr/share/foreman/app/models/concerns/authorizable.rb:12:in "~check_permissions_after_save'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.6/1lib/active_support/callback
s.rb:413:in “block in make_lambda'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.6/1lib/active_support/callback
s.rb:235:1in “block in halting_and_conditional'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.6/1lib/active_support/callback
s.rb:511:in "block in invoke_after'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.6/1lib/active_support/callback
s.rb:511:in “each'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.6/1lib/active_support/callback
s.rb:511:in "~invoke_after'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.6/1lib/active_support/callback
s.rb:122:in “block in run_callbacks'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.6/1lib/active_support/callback
s.rb:135:in "run_callbacks'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.6/1lib/active_support/callback
s.rb:827:in ~_run_save_callbacks'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/1lib/active_record/callbacks.
rb:336:in "create_or_update’
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/1lib/active_record/persistenc
e.rb:129:in "save'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/1lib/active_record/validation
s.rb:44:in "~ save'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/1ib/active_record/attribute_
methods/dirty.rb:35:1in "save'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/1ib/active_record/transactio
ns.rb:308:in "block (2 levels) in save'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/1lib/active_record/transactio
ns.rb:384:in "block in with_transaction_returning_status'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/1lib/active_record/connection
_adapters/abstract/database_statements.rb:235:in "block in transaction'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/1ib/active_record/connection
_adapters/abstract/transaction.rb:194:in “block in within_new_transaction'
/opt/rh/rh-ruby24/root/usr/share/ruby/monitor.rb:214:in ‘mon_synchronize'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/1ib/active_record/connection
_adapters/abstract/transaction.rb:191:in “within_new_transaction'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/1lib/active_record/connection
_adapters/abstract/database_statements.rb:235:in "transaction'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/1lib/active_record/transactio
ns.rb:210:in “transaction'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/1ib/active_record/transactio
ns.rb:381l:in "with_transaction_returning_status'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/1ib/active_record/transactio
ns.rb:308:in “block in save'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/1lib/active_record/transactio
ns.rb:323:in “rollback_active_record_state!'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/1lib/active_record/transactio
ns.rb:307:in " save'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/1lib/active_record/suppressor
.rb:42:in "“save'

/usr/share/foreman/app/models/concerns/foreman/sti.rb:26:in " save'
/usr/share/foreman/app/controllers/hosts_controller.rb:104:in " create’
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.6/1lib/action_controller/metal/ba
sic_implicit_render.rb:4:in "“send_action'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.6/1lib/abstract_controller/base.r
b:186:in “process_action'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.6/1lib/action_controller/metal/re
ndering.rb:30:in “process_action'

05/19/2024 2/7




/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.6/1ib/abstract_controller/callba
cks.rb:20:in "block in process_action'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.6/1lib/active_support/callback
s.rb:108:in “block in run_callbacks'
/usr/share/foreman/app/controllers/concerns/application_shared.rb:15:in "“set_timezone'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.6/1lib/active_support/callback
s.rb:117:in "block in run_callbacks'
/usr/share/foreman/app/models/concerns/foreman/thread_session.rb:32:in “clear_thread'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.6/1lib/active_support/callback
s.rb:117:in "block in run_callbacks'
/usr/share/foreman/app/controllers/concerns/foreman/controller/topbar_sweeper.rb:12:in " set_topbar
_sweeper_controller'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.6/1lib/active_support/callback
s.rb:117:in "block in run_callbacks'
/opt/theforeman/tfm/root/usr/share/gems/gems/audited-4.7.0/1ib/audited/sweeper.rb:14:in "around'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.6/1lib/active_support/callback
s.rb:117:in “block in run_callbacks'
/opt/theforeman/tfm/root/usr/share/gems/gems/audited-4.7.0/1ib/audited/sweeper.rb:14:in "around'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.6/1lib/active_support/callback
s.rb:117:in “block in run_callbacks'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.6/1lib/active_support/callback
s.rb:135:in ‘run_callbacks'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.6/1lib/abstract_controller/callba
cks.rb:19:in “process_action'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.6/1ib/action_controller/metal/re
scue.rb:20:in “process_action'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.6/1ib/action_controller/metal/in
strumentation.rb:32:in "block in process_action'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.6/1lib/active_support/notifica
tions.rb:166:in “block in instrument'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.6/1lib/active_support/notifica
tions/instrumenter.rb:21:in " instrument'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.6/1lib/active_support/notifica
tions.rb:166:in "instrument'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.6/1ib/action_controller/metal/in
strumentation.rb:30:1in "process_action'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.6/1lib/action_controller/metal/pa
rams_wrapper.rb:252:in ‘process_action'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/1lib/active_record/railties/c
ontroller_runtime.rb:22:in “process_action'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.6/1ib/abstract_controller/base.r
b:124:in “process'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionview-5.1.6/1ib/action_view/rendering.rb:3
0:in “process'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.6/1lib/action_controller/metal.rb
:189:in “dispatch'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.6/1lib/action_controller/metal.rb
:253:in “dispatch’
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.6/1ib/action_dispatch/routing/ro
ute_set.rb:49:in “dispatch'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.6/1ib/action_dispatch/routing/ro
ute_set.rb:31:1in "~ serve'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.6/1lib/action_dispatch/journey/ro
uter.rb:50:in “block in serve'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.6/1lib/action_dispatch/journey/ro
uter.rb:33:in “each'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.6/1ib/action_dispatch/journey/ro
uter.rb:33:in " serve'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.6/1lib/action_dispatch/routing/ro
ute_set.rb:844:in ‘call'
/opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.5.9/1ib/apipie/static_dispatcher.rb:65
:in “call!
/opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.5.9/1ib/apipie/extractor/recorder.rb:1
36:in “call'

/usr/share/foreman/lib/middleware/telemetry.rb:9:in “call'
/opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.5.9/1ib/apipie/middleware/checksum_in_
headers.rb:27:in “call'
/usr/share/foreman/lib/middleware/catch_json_parse_errors.rb:8:in “call'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/rack-2.0.3/1ib/rack/etag.rb:25:in “call'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/rack-2.0.3/1ib/rack/conditional_get.rb:38:in “c
all'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/rack-2.0.3/1ib/rack/head.rb:12:in “call'
/usr/share/foreman/lib/middleware/logging_context.rb:23:in “call'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/rack-2.0.3/1ib/rack/session/abstract/id.rb:232:
in " context'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/rack-2.0.3/1ib/rack/session/abstract/id.rb:226:
in “call'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.6/1lib/action_dispatch/middleware
/cookies.rb:613:in “call’
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.6/1lib/action_dispatch/middleware
/callbacks.rb:26:in "block in call'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.6/1lib/active_support/callback
s.rb:97:in “run_callbacks'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.6/1ib/action_dispatch/middleware
/callbacks.rb:24:in “call'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.6/1ib/action_dispatch/middleware
/debug_exceptions.rb:59:in “call'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.6/1lib/action_dispatch/middleware
/show_exceptions.rb:31:in “call’
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/railties-5.1.6/1lib/rails/rack/logger.rb:36:in
call_app'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/railties-5.1.6/1ib/rails/rack/logger.rb:26:1in
call'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/sprockets-rails-3.2.1/1ib/sprockets/rails/quiet
_assets.rb:13:in “call'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.6/1lib/action_dispatch/middleware
/remote_ip.rb:79:in “call'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.6/1lib/action_dispatch/middleware
/request_id.rb:25:in “call'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/rack-2.0.3/1ib/rack/method_override.rb:22:in "c
all'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/rack-2.0.3/1ib/rack/runtime.rb:22:in “call’
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.6/1ib/active_support/cache/st
rategy/local_cache_middleware.rb:27:in “call'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.6/1lib/action_dispatch/middleware
/executor.rb:12:in “call’
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.6/1lib/action_dispatch/middleware
/static.rb:125:in “call’
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/rack-2.0.3/1ib/rack/sendfile.rb:111:in “call’
/opt/theforeman/tfm/root/usr/share/gems/gems/secure_headers-5.0.5/1ib/secure_headers/middleware.rb
:13:in “call'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/railties-5.1.6/1lib/rails/engine.rb:522:in “call
\}

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/railties-5.1.6/1ib/rails/railtie.rb:185:in " pub
lic_send'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/railties-5.1.6/1ib/rails/railtie.rb:185:in "met
hod_missing'
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/rack-2.0.3/1ib/rack/urlmap.rb:68:in “block in c
all'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/rack-2.0.3/1ib/rack/urlmap.rb:53:in ‘each’
/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/rack-2.0.3/1lib/rack/urlmap.rb:53:in ‘call’
/usr/share/passenger/phusion_passenger/rack/thread_handler_extension.rb:74:in 'process_request'
/usr/share/passenger/phusion_passenger/request_handler/thread_handler.rb:141:in "accept_and_proces
s_next_request'

/usr/share/passenger/phusion_passenger/request_handler/thread_handler.rb:109:in "main_loop'
/usr/share/passenger/phusion_passenger/request_handler.rb:455:in “block (3 levels) in start_thread
S'
/opt/theforeman/tfm/root/usr/share/gems/gems/logging-2.2.2/1ib/logging/diagnostic_context.rb:474:1i
n ‘block in create_with_logging_context'

Related issues:
Related to Foreman - Bug #16884: Create permissions do not check filter limits Closed 10/12/2016
Related to Discovery - Bug #25140: Invalid single-table inheritance type: Hos... Closed
Related to Foreman - Bug #21037: "Invalid single-table inheritance type: Host... Closed
Related to Foreman - Bug #24478: Unable to delete subnet NoMethodError: undef... Closed

Associated revisions

Revision 1663a21d - 11/07/2018 10:41 AM - Lukas Zapletal

Fixes #25207 - do not instantiate during permission checks

History

#1 - 10/15/2018 02:27 PM - Dima Nilsen

- Description updated

#2 - 10/15/2018 02:29 PM - Dima Nilsen

- Description updated

#3 - 10/15/2018 02:39 PM - Dima Nilsen

- Description updated

#4 - 10/16/2018 09:33 AM - Lukas Zapletal
- Related to Bug #16884: Create permissions do not check filter limits added

#5 - 10/16/2018 09:34 AM - Lukas Zapletal
- Related to Bug #25140: Invalid single-table inheritance type: Host::Discovered is not a subclass of Host::Managed added

#6 - 10/16/2018 09:45 AM - Lukas Zapletal
- Triaged changed from No to Yes

- Fixed in Releases Discovery Plugin 13.0, Discovery Plugin 14.0 added

Reproduced on develop. This is likely bug in core, but | will keep it in discovery for now until | find out.

#7 - 10/18/2018 06:57 AM - Lukas Zapletal

- Related to Bug #21037: "Invalid single-table inheritance type: Host::Discovered is not a subclass of Host::Managed" caused by auditing host added

#8 - 10/18/2018 07:05 AM - Lukas Zapletal

- Status changed from New to Assigned
This might be issue with audit rather than data tables, looking into it: #21037
#9 - 10/18/2018 10:52 AM - Lukas Zapletal

| was able to reproduce this yesterday, but today it works with develop. Marek thinks this might be related:
https://github.com/theforeman/foreman/pull/4864/files

Can you try this:

foreman-rake console
> Audit.where (:auditable_type => 'Host') .update_all (:auditable_type => 'Host::Base')

And try again to see if this fixes your problem?

#10 - 10/18/2018 10:52 AM - Lukas Zapletal

- Status changed from Assigned to Need more information
#11 - 10/22/2018 08:21 AM - Dima Nilsen
Lukas Zapletal wrote:

| was able to reproduce this yesterday, but today it works with develop. Marek thinks this might be related:
https://github.com/theforeman/foreman/pull/4864/files

Can you try this:

(-]
And try again to see if this fixes your problem?

no it didn't help. The command gave 0 results in rake-console.

irb(main) :002:0* Audit.where (:auditable_type => 'Host') .update_all(:auditable_type => 'Host::Base')
=> 0

so also after - the behavior was the same.

Invalid single-table inheritance type: Host::Discovered is not a subclass of Host::Managed

#12-10/31/2018 03:05 PM - Ivan Necas
- Bugzilla link set to 1638403

#13 - 10/31/2018 03:49 PM - Lukas Zapletal

Dima, any insights so far?

#14 - 10/31/2018 04:03 PM - Lukas Zapletal

| am able to always reproduce, the key thing is not to be a super admin! Looking into this.

WORKAROUND: Work under superadmin until this is fixed in 1.20 and 1.19 (unfortunately 1.17-1.18 are affected too and we are going to fix only the
two last stable versions, let's see once | have some patch).

#15 - 11/01/2018 08:03 AM - Lukas Zapletal
- Related to Bug #24478: Unable to delete subnet NoMethodError: undefined method “klass' for nil:NilClass added

#16 - 11/01/2018 10:18 AM - Lukas Zapletal

- Project changed from Discovery to Foreman

- Category set to Users, Roles and Permissions

- Status changed from Need more information to Assigned
- Assignee set to Lukas Zapletal

- Target version set to 1.20.0

- Difficulty set to medium

- Pull request https://github.com/theforeman/foreman/pull/6192 added

Hello, we have an initial version of a patch that solves this. It's one liner, please apply it, restart and get back to me with feedback:

https://github.com/theforeman/foreman/pull/6192/files

#17 - 11/01/2018 10:42 AM - The Foreman Bot
- Status changed from Assigned to Ready For Testing

#18 - 11/07/2018 10:42 AM - Marek Hulan
- Fixed in Releases 1.20.0 added
- Fixed in Releases deleted (Discovery Plugin 13.0, Discovery Plugin 14.0)

#19 - 11/07/2018 10:57 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/6211 added

#20 - 11/07/2018 11:01 AM - Lukas Zapletal
- Status changed from Ready For Testing to Closed

Applied in changeset 1663a21d2736fd7980c2ddd9e03e43e321b59525.

#21 - 11/07/2018 12:40 PM - Dima Nilsen

Lukas Zapletal wrote:

Hello, we have an initial version of a patch that solves this. It's one liner, please apply it, restart and get back to me with feedback:
https://github.com/theforeman/foreman/pull/6192/files
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/1663a21d2736fd7980c2ddd9e03e43e321b59525

https://github.com/theforeman/foreman/pull/6192/files

thanks, that helped, | was able to create a host.

#22 - 11/08/2018 04:36 PM - Zach Huntington-Meath
- Pull request deleted (https://github.com/theforeman/foreman/pull/6211)

#23 - 11/13/2018 10:21 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/6238 added

#24 - 11/13/2018 10:23 AM - Timo Goebel
- Target version changed from 1.20.0 to 961

#25 - 11/15/2018 08:57 AM - Tomer Brisker

- Fixed in Releases added

#26 - 01/21/2019 03:12 PM - Tomer Brisker

- Fixed in Releases deleted ()

With 1.21 due soon, there will likely not be a 1.19.2 release. Removing.

#27 - 01/21/2019 03:15 PM - Tomer Brisker
- Target version deleted (961)
